blkmapd(8)

BEZEICHNUNG
blkmapd - Daemon für das pNFS-Blockzuweisungslayout

ÜBERSICHT
blkmapd [-h] [-d] [-f]

BESCHREIBUNG
Der blkmapd-Daemon führt Geräteerkennung und -zuweisung für den parallelen NFS (pNFS) Blocklayout-Client [RFC5663] aus.

Das pNFS-Blocklayout-Protokoll erstellt eine komplexe Speicherhierarchie aus einer Reihe von einfachen Datenträgern. Diese einfachen Datenträger werden nach Inhalt adressiert, wobei für die eindeutige Benennung eine Signatur für jeden Datenträger verwendet wird. Der Daemon lokalisiert einen Datenträger durch Untersuchung jedes blockorientierten Gerätes im System auf eine Signatur.

Die Topologie besteht üblicherweise aus einer Hierarchie von Datenträgern, die durch Parallelisierung, Partitionierung und Verkettung der einfachen Datenträger entsteht. Der blkmapd-Daemon verwendet den device-mapper-Treiber zum Erstellen logischer Geräte, welche die Server-Topologie darstellen, und übergibt diese Geräte an den Kernel, damit diese vom pNFS-Blocklayout-Client genutzt werden können.

OPTIONEN

-h  Zeigt eine Meldung zur Verwendung an.

-d  sucht nur nach Geräten und beendet das Programm.

-f  führt blkmapd im Vordergrund aus und sendet die Ausgabe in die Standardfehlerausgabe (im Gegensatz zu syslogd).

KONFIGURATIONSDATEI
Der blkmapd-Daemon berücksichtigt den folgenden Wert aus dem Abschnitt [general] der Konfigurationsdatei /etc/nfs.conf:

pipefs-directory
    informiert blkmapd darüber, wo nach dem rpc_pipefs-Dateisystem gesucht werden soll. Der Standardwert ist /var/lib/nfs/rpc_pipefs.

SIEHE AUCH
nfs(5), dmsetup(8), nfs.conf(5)

RFC 5661 für die Spezifikation der NFS-Version 4.1.
RFC 5663 für die pNFS-Blocklayout-Spezifikation.

AUTOREN
Haiying Tang <Tang_Haiying@emc.com>
Jim Rees <rees@umich.edu>

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).